PUT /api/v202108/notification/usersetting

Update the notification settings for the current user

UpdateNotificationUserSettingsV202108

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

Array of:

NotificationSettingRequest
Property Description Type
configuredNotificationOption Update the configured notification option To get the list of available options for each setting call the GetNotificationSystemSettings or GetNotificationUserSettings API If your database is not configured to send emails, passing in ShowInAppAndSendEmail will return an error One of ‘ShowInAppAndSendEmail’, ‘ShowInAppOnly’, ‘Off’ Required string
notificationTypeId The id of the notification type Required integer (int32)
Example Request Body application/json
[
  {    "configuredNotificationOption": "string",    "notificationTypeId": 1
  }
]

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

NotificationSettingsResponse
Property Description Type
allowUsersToEmailNotifications Are user’s allowed to get email notifications boolean
notificationSettings The list of notification settings available and their configured value NotificationSettingResponse[]
NotificationSettingResponse properties
Property Description Type
availableNotificationOptions All possible notification options for this setting string[]
configuredNotificationOption The currently configured notification option string
notificationType NotificationType
NotificationType properties
Property Description Type
notificationCategory NotificationCategory
NotificationCategory properties
Property Description Type
notificationCategoryDescription A description of the notification category string
notificationCategoryId The id of the notification category integer (int32)
notificationCategoryInfo The notification category name string
notificationTypeDescription A description of the notification type string
notificationTypeId The id of the notification type integer (int32)
notificationTypeInfo The notification type name string
Example Response application/json
{  "allowUsersToEmailNotifications": false,  "notificationSettings": [
    {    "availableNotificationOptions": [
      "string"
    ],    "configuredNotificationOption": "string",    "notificationType": {      "notificationCategory": {},      "notificationTypeDescription": "string",      "notificationTypeId": 1,      "notificationTypeInfo": "string"
    }
  }
  ]
}